# Navigator : Object
Return to: HTML DOM Level 0 index

Contains information about the current web browser.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
Navigator Constructor() : Navigator Creates a new instance of a Navigator object. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

### Navigator() : Navigator

Creates a new instance of a Navigator object.

Returns

Navigator |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
appCodeName : String Code name of the browser. | No Details | 3.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

appName : String Name of the browser. | No Details | 3.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

appVersion : String Platform and version of the web browser. | No Details | 3.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

cookieEnabled : Boolean Whether or not the browser has cookies enabled. | No Details | 4.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

language : String Default language of the web browser. | No Details | no | 1.0+ | 4.0+ | 7.0+ | 1.0+

mimeTypes : Array Array of MIME type objects supported by the web browser. | No Details | no | 1.0+ | 2.0+ | 7.0+ | 1.0+

platform : String Client OS. | No Details | 4.0+ | 1.0+ | 4.0+ | 7.0+ | 1.0+

plugins : Array Array of plugins installed in the browser. | No Details | no | 1.0+ | 3.0+ | 7.0+ | 1.0+

systemLanguage : String Default language of the OS. | No Details | 4.0+ | no | no | no | no

userAgent : String Specifies the value the browser uses for the user-agent header in http requests. | No Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

userLanguage : String Preferred language of the user. | No Details | 4.0+ | no | no | no | no

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
javaEnabled() : Boolean Specifies whether or not Java is supported and enabled by the browser. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Returns

Boolean |

Availability

  JavaScript 1.1

plugins.refresh([Boolean reload]) : Object Makes newly installed plugins available to the web browser. | Show Details | no | 1.0+ | 3.0+ | no | no

Parameters

Boolean | reload | (optional)Specify true if the browser should reload pages that contain <embed> tags and use plugins.

Returns

Object |

## References

MimeType|Plugin

## Availability

JavaScript 1.0|enhanced in JavaScript 1.1 and 1.2

text_javascript aptana_docs